Search Results for

Show / Hide Table of Contents

# Class TextRegexProvider

Regex Provider for TextValidateField.

##### Inheritance

System.Object
TextRegexProvider

##### Implements

ITextValidateProvider

###### Namespace: Terminal.Gui.TextValidateProviders

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TextRegexProvider : Object, ITextValidateProvider

### Constructors

#### TextRegexProvider(String)

Empty Constructor.

##### Declaration

    public TextRegexProvider(string pattern)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pattern |

### Properties

#### DisplayText

Gets the formatted string for display.

##### Declaration

    public ustring DisplayText { get; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Fixed

Set that this provider uses a fixed width. e.g. Masked ones are fixed.

##### Declaration

    public bool Fixed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IsValid

True if the input is valid, otherwise false.

##### Declaration

    public bool IsValid { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Pattern

Regex pattern property.

##### Declaration

    public ustring Pattern { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### Text

Set the input text and get the current value.

##### Declaration

    public ustring Text { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### ValidateOnInput

When true, validates with the regex pattern on each input, preventing the input if it's not valid.

##### Declaration

    public bool ValidateOnInput { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### Cursor(Int32)

Set Cursor position to `pos`.

##### Declaration

    public int Cursor(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 | Return first valid position.

#### CursorEnd()

Find the last valid character position.

##### Declaration

    public int CursorEnd()

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position.

#### CursorLeft(Int32)

First valid position before `pos`.

##### Declaration

    public int CursorLeft(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position if any, otherwise returns `pos`

#### CursorRight(Int32)

First valid position after `pos`.

##### Declaration

    public int CursorRight(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos | Current position.

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position if any, otherwise returns `pos`

#### CursorStart()

Find the first valid character position.

##### Declaration

    public int CursorStart()

##### Returns

Type | Description
--- | ---
System.Int32 | New cursor position.

#### Delete(Int32)

Deletes the current character in `pos`.

##### Declaration

    public bool Delete(int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean | true if the character was successfully removed, otherwise false.

#### InsertAt(Char, Int32)

Insert character `ch` in position `pos`.

##### Declaration

    public bool InsertAt(char ch, int pos)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char | ch |
System.Int32 | pos |

##### Returns

Type | Description
--- | ---
System.Boolean | true if the character was successfully inserted, otherwise false.

### Implements

ITextValidateProvider